= nng_http_conn_close(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_conn_close - close HTTP connection

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

void nng_http_conn_close(nng_http_conn *conn);
----

== DESCRIPTION

The `nng_http_conn_close()` function closes the supplied HTTP connection _conn_,
including any disposing of any underlying file descriptors or related resources.

Once this function, no further access to the _conn_ structure may be made.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_client_connect.3http.adoc[nng_http_client_connect(3http)],
xref:nng_http_handler_alloc.3http.adoc[nng_http_handler_alloc(3http)],
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng.7.adoc[nng(7)]
